[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.Loaded

Performs actions needed when the component has finished loading from the LCL streaming mechanism.

## Declaration

Source position: comboex.pas line 308

`protected procedure TCustomCheckCombo.Loaded; override;`

## Description

Loaded is an overridden method used to perform actions needed when the component has finished loading from the LCL streaming mechanism. Loaded calls the inherited method, and calls InitItemStates to allocate TCheckComboItemState instances (when needed) for the check box Items defined in the control.

## See also

TCustomCheckCombo.InitItemStates |  | Initializes check box state information for items in the control.
TCustomComboBox.Items |  | The list of items displayed in the combo-box control.
TCheckComboItemState |  | Represents state and data for a check box item displayed in TCustomCheckCombo.